Bug 1116979 - JDG630.DistExecMR - more updates
Summary: JDG630.DistExecMR - more updates
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: CR3
: 6.3.0
Assignee: Tristan Tarrant
QA Contact: Martin Gencur
URL:
Whiteboard:
Depends On:
Blocks: 1117549
TreeView+ depends on / blocked
 
Reported: 2014-07-07 18:29 UTC by Vladimir Blagojevic
Modified: 2015-01-26 14:03 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1117549 (view as bug list)
Environment:
Last Closed: 2015-01-26 14:03:19 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker ISPN-4217 0 None None None 2014-07-14 08:14:06 UTC
Red Hat Issue Tracker ISPN-4440 0 None None None 2014-07-14 18:10:27 UTC
Red Hat Issue Tracker ISPN-4453 0 None None None 2014-07-14 18:10:27 UTC
Red Hat Issue Tracker ISPN-4460 0 None None None 2014-07-14 18:10:27 UTC
Red Hat Issue Tracker ISPN-4471 0 None None None 2014-07-14 18:10:27 UTC
Red Hat Issue Tracker ISPN-4472 0 None None None 2014-07-14 18:10:27 UTC
Red Hat Issue Tracker ISPN-4486 0 None None None 2014-07-14 18:10:27 UTC

Description Vladimir Blagojevic 2014-07-07 18:29:20 UTC
Description of problem:
Ports from Infinispan project into JDG that include:

ISPN-4471 - MapReduceTask: memory leak with useIntermediateSharedCache = true
ISPN-4440 - Remove setMaxCollectorSize API from MapReduceTask
ISPN-4372 - Map/Reduce performance is dependent on cache value size
ISPN-4453 - MapReduceTask#executeAsynchronously() isn't asynchronous
ISPN-4460 - Map-Reduce: Mapper sometimes receives null value
ISPN-4216 - Use IGNORE_RETURN_VALUES flag for inserting keys/values in M/R intermediate cache
ISPN-4217 - Use ArrayList instead of LinkedList for DeltaAware and Delta in M/R

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Vladimir Blagojevic 2014-07-07 19:02:30 UTC
Correction: ISPN-4216 - Use IGNORE_RETURN_VALUES flag for inserting keys/values in M/R intermediate cache has already been included/ported.

Comment 3 Vladimir Blagojevic 2014-07-08 14:16:04 UTC
Commit ISPN-4440 - Remove setMaxCollectorSize API from MapReduceTask affects documentation. If this BZ is included in 6.3 final references to setMaxCollectorSize API should be removed.

Comment 4 Dan Berindei 2014-07-09 09:42:40 UTC
One more fix added: ISPN-4486 Map/Reduce DefaultCollector needs to be synchronized

Comment 5 Alan Field 2014-07-11 14:31:30 UTC
Verified with JDG 6.3.0 CR3


Note You need to log in before you can comment on or make changes to this bug.